# eric3.QScintilla.LexerBash

Module implementing a Bash lexer with some additional methods.

### Classes

LexerBash | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerBash

Subclass to implement some additional lexer dependant methods.

### Derived from

QextScintillaLexerBash, Lexer

### Methods

LexerBash | Constructor

### LexerBash (Constructor)

LexerBash(parent=None, name=None)

Constructor

parent
  parent widget of this lexer
name
  name of this lexer

Up